"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

SequenceableCollection variableSubclass:#AbstractMultidimensionalArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-MultiDimensional'
!


!AbstractMultidimensionalArray methodsFor:'accessing'!

dimensions
    self subclassResponsibility
! !

!AbstractMultidimensionalArray methodsFor:'error handling'!

dimensionError
    self error:'number of dimensions vs. number of given indices'
! !

!AbstractMultidimensionalArray methodsFor:'queries'!

isSquare
    |dims|

    dims := self dimensions.
    ^ dims size == 2
    and:[(dims at:1) == (dims at:2)]
! !

!AbstractMultidimensionalArray class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

